.table {
  border-collapse: separate;
  border-spacing: 0 0.3rem;
}
.tr-data {
  box-shadow: 0px 2px 7px 0px rgb(80 80 80 / 20%);
  border-radius: 16px;
  text-align: center;
}

.tr-content{
  line-height: 0.5rem;
}

.tr-data-head {
  background-color: #edba4b;
  color: #ffffff;
  position: relative;
  padding: 0.2rem !important;
  border-top: 0px !important;
  vertical-align: middle !important;
  white-space: nowrap;
  font-weight: bold;

}

.tr-data-head1 {
  /* border-radius: 10px 0px 0px 10px; */
  background-color: #edba4b;
  color: #ffffff;
  position: relative;
  white-space: nowrap;
  padding: 0.45rem 0.75rem;
  font-weight: bold;

}

.tr-data-head2 {
  /* border-radius: 0px 10px 10px 0px; */
  background-color: #edba4b;
  color: #ffffff;
  white-space: nowrap;
  padding: 0.45rem 0.75rem;
  font-weight: bold;

}

.treasury-add-button{
  background-image: linear-gradient(to bottom, #46cbb8, #2fa898) !important;
}

/* tr > td:first-child::after {
    content: '';
    position: absolute;
    background-color: red;
  } */

.tr-data-head-after {
  position: relative;
  padding: 0.3rem !important;
  border-top: 0px !important;
  vertical-align: middle !important;
}
.tr-data-head-after-button {
  position: relative;
  padding: 0.3rem !important;
  border-top: 0px !important;
  vertical-align: middle !important;
}

.tr-data-head-after1 {
    position: relative;
    padding: 0.2rem !important;
    border-top: 0px !important;
    vertical-align: middle !important;
  }

.tr-data-head-after::after {
  content: "";
  width: 2px;
  height: 40%;
  background-color: silver;
  display: block;
  position: absolute;
  right: 0;
  top: 20%;
}

.tr-data-head-after1::after {
  content: "";
  width: 2px;
  height: 60%;
  background-color: white;
  display: block;
  position: absolute;
  right: 0;
  top: 20%;
}

.table-img {
  margin-right: 0.45rem;
  width: 28px;
  height: 28px;
}

.reward-detail {
  background-color: #f7f7f7;
  border-radius: 16px;
  padding: 27px 30px 17px;
}

.reward-info {
  color: #edba4b;
  font-size: 18px;
  line-height: normal;
  margin-bottom: 18px;
  font-weight: bold;
  margin-left: 16px;
}

.eco-number {
  margin-bottom: 10px;
  padding: 4px 12px;
  border: 0;
  border-radius: 16px;
  display: flex;
  position: relative;
  background-color: #fff;
}

.eco-number-img {
  width: 38px;
  height: 38px;
}

.num-eco {
  line-height: 25px;
  margin-left: 10px;
}

.rem-earning {
  color: #fff;
  border: none;
  border-radius: 17px;
  box-shadow: 3px 3px 10px 0px rgb(0 0 0 / 16%);
  background-image: linear-gradient(to bottom, #46cbb8, #2fa898);
  height: 58px;
  font-weight: bold;
  font-size: 15px;
  width: 100%;
}














.tooltip {
  display:inline-block;
  position:relative;
  border-bottom:1px dotted #666;
  text-align:left;
}

.tooltip h3 {margin:12px 0;}

.right {
  min-width:200px;
  max-width:400px;
  top:50%;
  left:100%;
  margin-left:20px;
  transform:translate(0, -50%);
  padding:0;
  color:#EEEEEE;
  background-color:white;
  font-weight:normal;
  font-size:13px;
  border-radius:8px;
  position:absolute;
  z-index:99999999;
  box-sizing:border-box;
  box-shadow:0 1px 8px rgba(0,0,0,0.5);
  opacity:1; 
  transition:opacity 0.8s;
}

.right2 {
  min-width:200px;
  max-width:400px;
  top:50%;
  left:100%;
  margin-left:20px;
  transform:translate(0, -50%);
  padding:0;
  color:#EEEEEE;
  background-color:white;
  font-weight:normal;
  font-size:13px;
  border-radius:8px;
  position:absolute;
  z-index:99999999;
  box-sizing:border-box;
  box-shadow:0 1px 8px rgba(0,0,0,0.5);
  opacity:1; 
  transition:opacity 0.8s;
}


.right3 {
  min-width:200px;
  max-width:400px;
  top:50%;
  left:100%;
  margin-left:20px;
  transform:translate(0, -50%);
  padding:0;
  color:#EEEEEE;
  background-color:white;
  font-weight:normal;
  font-size:13px;
  border-radius:8px;
  position:absolute;
  z-index:99999999;
  box-sizing:border-box;
  box-shadow:0 1px 8px rgba(0,0,0,0.5);
  opacity:1; 
  transition:opacity 0.8s;
}

/* .tr-data-head-after:hover .right {
  visibility:visible; opacity:1;
} */

.right-on{
  visibility:visible; 
  opacity:1;
}

.right-on2{
  visibility:visible; 
  opacity:1;
}

.right img {
  width:400px;
  border-radius:8px 8px 0 0;
}
.text-content {
  padding:10px 20px;
  background-color: white;
  display: flex;
    justify-content: space-evenly;
}

.text-content2 {
  padding:10px 20px;
  background-color: white;
}



.right i {
  position:absolute;
  top:50%;
  right:100%;
  margin-top:-12px;
  width:12px;
  height:24px;
  overflow:hidden;
}
.right i::after {
  content:'';
  position:absolute;
  width:12px;
  height:12px;
  left:0;
  top:50%;
  transform:translate(50%,-50%) rotate(-45deg);
  background-color:white;
  box-shadow:0 1px 8px rgba(0,0,0,0.5);
}


.add-btn-table{
  color: #fff;
    background-color: #376baa;
    border-color: #376baa;
    border: none;
    border-radius: 3px;
    line-height: 1.5rem;
    vertical-align: middle;
}

.remove-btn-table{
  color: #fff;
  background-color: #c5793f;
  border-color: #c5793f;
    border: none;
    border-radius: 3px;
    line-height: 1.5rem;
    vertical-align: middle;
}

.add-cross{
  display: flex;
    justify-content: space-between;
    padding: 0.5rem;
    align-items: baseline;
    background-color: #f7f7f7;
}

.x-btn{
  background: rgb(255, 230, 226);
    border: 1px solid rgb(255, 230, 226);
    color: red;
}

.add-btn-popup{
  color: black;
}


.add-btn-popups{
  color: black;
  float: left;
}

.input-enter-amount{
  border: 1px solid grey;
  float: left;
}

.submit-popup{
  cursor: pointer;
    color: #fff;
    background-color: #c5793f;
    border-color: #c5793f;
    border-radius: 16px;
    float: left;
    margin-top: 3px;
}

.lock-div{
  text-align: center;
}

.tdha{
  padding-left: 1rem;
    text-align: left;
}